Subject: RE: FW: Order UM625639285US
From: "~ Dr. Sam Robbins ~" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Fri, 31 Jan 2020 11:21:44 -0800

Thank you very much, I appreciate it =)

From: [email-masked] [mailto:[email-masked]] 
Sent: Friday, January 31, 2020 12:16 AM
To: ~ Dr. Sam Robbins ~ <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: FW: Order UM625639285US

Hi Dr. Sam,

Greeting for the day.

This issue is handled under the ticket number#86356. Once we will get any update, we will inform you regarding this. 

---

Thank you,

Dustin

HFL Customer Support

On 2020-01-31 00:28, ~ Dr. Sam Robbins ~ wrote:

 

From: Rogean Wartha Velho [mailto:[email-masked]] 
Sent: Thursday, January 30, 2020 4:57 AM
To: [email-masked] <mailto:[email-masked]> 
Subject: Order UM625639285US

Good Morning!

I sent an email to usps now asking for an explanation about the delay in delivery of my order UM625639285US.

I know that international orders can be delayed, however, I have been waiting for 2 months without an answer, without being able to track what makes me think of the worst. Was my order lost?Stolen? If only you know the round this would be more peaceful.